# configuration file for image resizing
parameters:
    images:
        # configuration for events
        event:
            # upload folders
            folder:
                base: 'upload/'
                plain: 'events/images/'
                versions: 'events/images/versions/'
            # versions to generate
            versions:
                # versions sizes to be generated
                # - filterSet : the LiipImagine filter set to apply
                # - prefix : the prefix of the version
                - {filterSet: 'max', prefix: ''}
                - {filterSet: 'square_800', prefix: '800-'}
                - {filterSet: 'square_250', prefix: '250-'}
                - {filterSet: 'square_100', prefix: '100-'}
        # configuration for communities
        community:
            # upload folders
            folder:
                base: 'upload/'
                plain: 'communities/images/'
                versions: 'communities/images/versions/'
            # versions to generate
            versions:
                # versions sizes to be generated
                # - filterSet : the LiipImagine filter set to apply
                # - prefix : the prefix of the version
                - {filterSet: 'max', prefix: ''}
                - {filterSet: 'square_800', prefix: '800-'}
                - {filterSet: 'square_250', prefix: '250-'}
                - {filterSet: 'square_100', prefix: '100-'}
        # configuration for users
        user:
            # upload folders
            folder:
                base: 'upload/'
                plain: 'users/images/'
                versions: 'users/images/versions/'
            # versions to generate
            versions:
                # versions sizes to be generated
                # - filterSet : the LiipImagine filter set to apply
                # - prefix : the prefix of the version
                - {filterSet: 'max', prefix: ''}
                - {filterSet: 'square_800', prefix: '800-'}
                - {filterSet: 'square_250', prefix: '250-'}
                - {filterSet: 'square_100', prefix: '100-'}        
        # configuration for relay points
        relaypoint:
            # upload folders
            folder:
                base: 'upload/'
                plain: 'relaypoints/images/'
                versions: 'relaypoints/images/versions/'
            # versions to generate
            versions:
                # versions sizes to be generated
                # - filterSet : the LiipImagine filter set to apply
                # - prefix : the prefix of the version
                - {filterSet: 'max', prefix: ''}
                - {filterSet: 'square_800', prefix: '800-'}
                - {filterSet: 'square_250', prefix: '250-'}
                - {filterSet: 'square_100', prefix: '100-'}
        # configuration for relay point types
        relaypointtype:
            # upload folders
            folder:
                base: 'upload/'
                plain: 'relaypointtypes/images/'
                versions: 'relaypointtypes/images/versions/'
            # versions to generate
            versions:
                # versions sizes to be generated
                # - filterSet : the LiipImagine filter set to apply
                # - prefix : the prefix of the version
                - {filterSet: 'max', prefix: ''}
                - {filterSet: 'square_800', prefix: '800-'}
                - {filterSet: 'square_250', prefix: '250-'}
                - {filterSet: 'square_100', prefix: '100-'}
        # configuration for mass communication
        campaign:
            # upload folders
            folder:
                base: 'upload/'
                plain: 'masscommunication/images/'
                versions: 'masscommunication/images/versions/'
            # versions to generate
            versions:
                # versions sizes to be generated
                # - filterSet : the LiipImagine filter set to apply
                # - prefix : the prefix of the version
                - {filterSet: 'max', prefix: ''}
                - {filterSet: 'square_800', prefix: '800-'}
                - {filterSet: 'square_250', prefix: '250-'}
                - {filterSet: 'square_100', prefix: '100-'}
        # configuration for badges
        badge:
            # upload folders
            folder:
                base: 'upload/'
                plain: 'badges/images/'
                versions: 'badges/images/versions/'
            # versions to generate
            versions:
                # versions sizes to be generated
                # - filterSet : the LiipImagine filter set to apply
                # - prefix : the prefix of the version
                - {filterSet: 'max', prefix: ''}
                - {filterSet: 'square_800', prefix: '800-'}
                - {filterSet: 'square_250', prefix: '250-'}
                - {filterSet: 'square_100', prefix: '100-'}
        # configuration for editorials
        editorial:
            # upload folders
            folder:
                base: 'upload/'
                plain: 'editorials/images/'
                versions: 'editorials/images/versions/'
            # versions to generate
            versions:
                # versions sizes to be generated
                # - filterSet : the LiipImagine filter set to apply
                # - prefix : the prefix of the version
                - {filterSet: 'max', prefix: ''}
                - {filterSet: 'square_800', prefix: '800-'}
                - {filterSet: 'square_250', prefix: '250-'}
                - {filterSet: 'square_100', prefix: '100-'}  
        # configuration for structures
        structure:
            # upload folders
            folder:
                base: 'upload/'
                plain: 'structures/images/'
                versions: 'structures/images/versions/'
            # versions to generate
            versions:
                # versions sizes to be generated
                # - filterSet : the LiipImagine filter set to apply
                # - prefix : the prefix of the version
                - {filterSet: 'max', prefix: ''}
                - {filterSet: 'square_800', prefix: '800-'}
                - {filterSet: 'square_250', prefix: '250-'}
                - {filterSet: 'square_100', prefix: '100-'}               
        # icons
        icons:
            # upload folders
            folder:
                base: 'upload/'
                plain: 'icons/'
                